Bug 243449 - gdm gets into troubles with Gtk modules
gdm gets into troubles with Gtk modules
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2007-06-08 15:06 EDT by Michal Jaegermann
Modified: 2008-06-16 21:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 21:30:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2007-06-08 15:06:11 EDT
Description of problem:

I have a machine which runs two servers on separate VTs.
This was working without any problems for years until that
box was upgraded to F7.

/etc/gdm/custom.conf looks there like that:





Welcome=Welcome to\\n%n



# server 0 configured in defaults.conf

with '/usr/local/share/picts2/bgprog.sh' a script which produces
different background pictures for different servers.

After an upgrade to F7 this resulted in the following:

- server 0 starts as expected
- a long delay with something flashing from time to time in corners
- an alert shows up telling me that a server is crashing
- after that alert is dismissed it may, or may not, show up
  a few times more and eventually server 1 starts

The sequence above usually resulted in server 0 on vt7 and
server 1 on vt9.  A restart after a session logout may pushed
all of that to higher and higher VTs.

Curiously enough putting that into  '[servers]' section


greatly alleviated the issue even if results in 'ps' did not
seem to differ that much.  That means that most of the time
two servers were starting without "crashing" alerts butting in
but sometimes this was not the case.  In the original
arrangement I had these crashes every time.

Still that did not solve the problem entirely and also
a presence of these extra Gtk modules appeared to aggravate
a problem described in bug 243022.  Eventually only adding
in '[daemon]' section this:


got gdm to behave (and that without turning off server 0).

Version-Release number of selected component (if applicable):

How reproducible:
always with the initial configuration
Comment 1 Michal Jaegermann 2007-06-16 21:03:27 EDT
I missed previously that gdm not only does the above but with
GtkModulesList in place it actually drops cores (in /var/gdm/).

This is with updated in the meantime gdm-2.18.2-1.fc7:

Loaded symbols for /usr/lib64/gconv/ISO8859-1.so
Core was generated by `/usr/libexec/gdmlogin
Program terminated with signal 11, Segmentation fault.
#0  0x0000000000418eb6 in gdm_common_atspi_launch () at gdmcommon.c:627
627                     fprintf (stderr, "at-spi-registryd not running: %s\n",
(gdb) where
#0  0x0000000000418eb6 in gdm_common_atspi_launch () at gdmcommon.c:627
#1  0x000000000040e9d5 in main (argc=2, argv=0x7fff0c36ea38) at gdmlogin.c:3423
#2  0x0000003d8c01daa4 in __libc_start_main () from /lib64/libc.so.6
#3  0x00000000004094d9 in _start ()

Looks somewhat strange unless 'error' is a garbage pointer.  Trying
to print it gives not that much:
{<text variable, no debug info>} 0x3d8c0cfb70 <error>

BTW - a comment in a caller says:

         * We cannot start gtk before the registry is running
         * because the atk-bridge will crash.

but nothing checks return values from 'gdm_common_atspi_launch ()'.
I guess that this is actually great as I may want to run gdm
_without_ at-spi modules or at-spi-registryd process around.

Again, the first instance of gdm, even if modules are asked for,
is fine and only the second one crashes one or more times before
eventually starting.

Comment 2 Bug Zapper 2008-05-14 08:56:36 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 21:30:52 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.